Bug 125051 - EDITING: CRASH when start SpellCheck
Summary: EDITING: CRASH when start SpellCheck
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-04-30 17:32 UTC by Rainer Bielefeld Retired
Modified: 2019-05-16 14:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (6.39 KB, text/plain)
2019-04-30 20:23 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2019-04-30 17:32:15 UTC
Steps how to reproduce with server installation of Version: 6.3.0.0.alpha0+ 
Build ID: 2e3b0c5d42d60d46cd9f8b8eda9424b095c63418; Windows 6.1:

0) Launch LibO with newly created User Profile
1) From Start Center open new Calc document
2) <f7> for spell check
   » CRASH                                                            😥

Additional info:
----------------
a) for me 100% reproducible
b) Endless crash loop if I try recovery: Document opens with open 
   Spell Check dialog, crashes immediately, recorvery, CRASH, ...
c) NOT reproducible with Version: 6.3.0.0.alpha0+ (x64)
  Build ID: f42554a1886ebe49170c25096dc3281b2c7bb1f4
  CPU threads: 4; OS: Windows 6.1; UI render: GL; VCL: win; 
  TinderBox: Win-x86_64@42, Branch:master, Time: 2019-02-08_22:37:30
  Locale: de-DE (de_DE); UI-Language: en-US
  Calc: CL
Comment 1 Julien Nabet 2019-04-30 20:23:05 UTC
Created attachment 151102 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

Hi Rainer! :-)
Comment 3 Julien Nabet 2019-04-30 20:25:01 UTC
https://gerrit.libreoffice.org/#/c/71597/
Comment 4 Julien Nabet 2019-05-01 07:59:13 UTC
My patch was wrong, I don't know how to fix this.
=> unassign myself.
Comment 5 Xisco Faulí 2019-05-02 07:21:14 UTC
(In reply to Julien Nabet from comment #2)
> Regression from
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=7282014e362a1529a36c88eb308df8ed359c2cfa

Adding Cc: to Noel Grandin
Comment 6 Commit Notification 2019-05-10 07:54:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f7936b8ccd0ce9bea3a5e780443e4ae8f35b9da1%5E%21

tdf#125051: fix spellchecking on Calc

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-05-13 11:17:32 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 630db80d17616d635cf2e5f1d5a0852428b794a3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 8 Commit Notification 2019-05-16 14:54:04 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c05b25274867b8fa1a452b4967b8e9003f7378fa%5E%21

uitest for bug tdf#125051

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.